com.holonplatform.spring

## Enum PrimaryMode

- java.lang.Object
- - java.lang.Enum<PrimaryMode>
  - - com.holonplatform.spring.PrimaryMode

- All Implemented Interfaces:
    Serializable, Comparable<PrimaryMode>

      public enum PrimaryMode
      extends Enum<PrimaryMode>

  Enumerates the bean registration `primary` modes to be used in automatic beans registration classes.
  Since:
    5.0.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Automatic primary setting based on current context and logical bean references.
    `FALSE` Do not register the bean as primary.
    `TRUE` Always register the bean as primary.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PrimaryMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PrimaryMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final PrimaryMode AUTO

      Automatic primary setting based on current context and logical bean references. For example, if a bean depends from another bean and that bean is marked as primary, the bean is registered as primary too.

    - #### TRUE

          public static final PrimaryMode TRUE

      Always register the bean as primary.

    - #### FALSE

          public static final PrimaryMode FALSE

      Do not register the bean as primary.

  - ### Method Detail

    - #### values

          public static PrimaryMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PrimaryMode c : PrimaryMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PrimaryMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.